<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record model="ir.ui.view" id="pos_config_pos_api_view">
            <field name="name">pos.config.location</field>
            <field name="model">pos.config</field>
            <field name="inherit_id" ref="point_of_sale.pos_config_view_form"/>
            <field name="arch" type="xml">
                <xpath expr="//h2[@name='order']" position="before">
                    <div class="row mt16 o_settings_container">
                      <div class="col-xs-12 col-md-6 o_setting_box">
                        <div class="o_setting_left_pane">
                          <field name="integrate_foodbot"/>
                        </div>
                        <div class="o_setting_right_pane">
                          <label for="integrate_foodbot"/>
                        </div>
                      </div>
                    </div>
                    
                    <h2 name="foodbot_config" attrs="{'invisible':[('integrate_foodbot','=',False)]}">Foodbot Configuration</h2>
                    <div class="row mt16 o_settings_container" id="foodbot_config" attrs="{'invisible':[('integrate_foodbot','=',False)]}">
                        <div id="foodbot_config" class="col-xs-12 col-md-6 o_setting_box">
                            <label for="location_id" />
                            <field name="location_id"/>
                        </div>
                        <div id="foodbot_config" class="col-xs-12 col-md-6 o_setting_box">
                            <label for="branch_id" />
                            <field name="branch_id" readonly="1"/>
                        </div>
                    </div>

                </xpath>
            </field>
        </record>
    </data>
</odoo>